Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lsmp.djep.matrixJep
Class MatrixEvaluator

    java.lang.Object
      org.lsmp.djep.matrixJep.MatrixEvaluator

All Implemented Interfaces:
  EvaluatorI, ParserVisitor

    public class MatrixEvaluator

extends java.lang.Object
implements ParserVisitor, EvaluatorI

This visitor evaluates a the tree representing the equation.

Since:
  2.3.2 Hack so comparative operations work with vectors and matrices.
Author:
  Rich Morris Created on 30-Oct-2003

Constructor Summary
`MatrixEvaluator()`

Method Summary
`java.lang.Object` | `eval(Node node)` Evaluates a node and returns and object with the value of the node.
`MatrixValueI` | `evaluate(MatrixNodeI node, MatrixJep mj)`
`java.lang.Object` | `visit(ASTConstant node, java.lang.Object data)` constants
`java.lang.Object` | `visit(ASTFunNode node, java.lang.Object data)` other functions
`java.lang.Object` | `visit(ASTStart node, java.lang.Object data)`
`java.lang.Object` | `visit(ASTVarNode node, java.lang.Object data)` multi dimensional differentiable variables
`java.lang.Object` | `visit(SimpleNode node, java.lang.Object data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MatrixEvaluator

    public MatrixEvaluator()

Method Detail

### evaluate

    public MatrixValueI evaluate(MatrixNodeI node,
                                 MatrixJep mj)
                          throws ParseException

  Throws:
    `ParseException`

### eval

    public java.lang.Object eval(Node node)
                          throws ParseException

  Description copied from interface: `EvaluatorI`
  Evaluates a node and returns and object with the value of the node.

  Specified by:
    `eval` in interface `EvaluatorI`
  Throws:
    `ParseException` - if errors occur during evaluation;

### visit

    public java.lang.Object visit(SimpleNode node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTStart node,
                                  java.lang.Object data)

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTConstant node,
                                  java.lang.Object data)

  constants

  Specified by:
    `visit` in interface `ParserVisitor`

### visit

    public java.lang.Object visit(ASTVarNode node,
                                  java.lang.Object data)
                           throws ParseException

  multi dimensional differentiable variables

  Specified by:
    `visit` in interface `ParserVisitor`
  Throws:
    `ParseException`

### visit

    public java.lang.Object visit(ASTFunNode node,
                                  java.lang.Object data)
                           throws ParseException

  other functions

  Specified by:
    `visit` in interface `ParserVisitor`
  Throws:
    `ParseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

http://www.singularsys.com/jep Copyright © 2007 Singular Systems